Access
Preview workspace and project retirement impact
GET
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
workspaceId*stringLength
1 <= lengthResponse for status 200
application/json- response
kind*stringValue in
"project""workspace"id*stringname*stringstate*stringValue in
"active""archiving""archived""deleting""deleted"revision*numberisDefault*booleanfingerprint*stringcleanupPending*numberchangedAt*numberprojects*array<>counts*publications*pending*numberuncertain*numberactive*numbermembers*numbercurl -X GET 'https://postbot.example/api/workspaces/string/lifecycle'Example Response
{
"kind": "project",
"id": "string",
"name": "string",
"state": "active",
"revision": 0,
"isDefault": true,
"fingerprint": "string",
"cleanupPending": 0,
"changedAt": 0,
"projects": [
{
"id": "string",
"name": "string",
"state": "active"
}
],
"counts": {},
"publications": {},
"pending": 0,
"uncertain": 0,
"active": 0,
"members": 0
}